#ifndef __HASHINT_H__
#define __HASHINT_H__

#include "genlib.h"

class CHashInt
{
public:
  CHashInt();
  ~CHashInt();
  BOOL Init(INT_32 iSize = 127);

protected:
  VOID Uninit();

public:
  VOID *Insert(VOID *pvData, const INT_32 iKey); //inserts entry into HashInt
  VOID *Peek(const INT_32 iKey);
  VOID *Remove(const INT_32 iKey);
  VOID *RemoveFirst();
  VOID Display();			//displays the HashInt

protected:
  VOID *m_pCHashTable;
};

#endif // __HASHINT_H__







